commit:     f1331c4a8b2b135a32c8177ea61459a69d29bb90
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Jun  8 07:01:25 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Jun  8 07:10:37 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f1331c4a

app-emulation/libguestfs-appliance: add 1.40.1

Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-emulation/libguestfs-appliance/Manifest        |  1 +
 .../libguestfs-appliance-1.40.1.ebuild             | 43 ++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/app-emulation/libguestfs-appliance/Manifest 
b/app-emulation/libguestfs-appliance/Manifest
index 2a14246054e..70e6f7ee9cd 100644
--- a/app-emulation/libguestfs-appliance/Manifest
+++ b/app-emulation/libguestfs-appliance/Manifest
@@ -1 +1,2 @@
 DIST appliance-1.38.0.tar.xz 96537604 BLAKE2B 
8b425b624dec274f2913ab9ff89cc02fea6c9244d6e3ee64f054d2a91f7959d9dbc03d55e9f5b4f5df835007581a18914b5c790f55b01c3398412ce5a7e9309d
 SHA512 
a423fd54627ffb9c2ae05b26ad60b9089f8119a99d30612a33921a2662ba42332ad0a7a7ad6c33b7042fc02a5c4dc9b563158650c6cb4a3eaaae6b764f7d7082
+DIST appliance-1.40.1.tar.xz 111566640 BLAKE2B 
b6ddd3b120a466ce343d67d9e058c201a78f5e605b8bbc2d47fc30c5eaaa874cc032b879a67c5f134b8fa65c58fc27893b062de0c3a21705b64766dd86df648f
 SHA512 
2d63b2ce8850929b42ddc91518b0e2b37d13e358be94bb54899da6c310afa308d708a3443b9f3b3aa3c46f4f2079036a6a4b34027788f183c17a20b68fcf4e6e

diff --git 
a/app-emulation/libguestfs-appliance/libguestfs-appliance-1.40.1.ebuild 
b/app-emulation/libguestfs-appliance/libguestfs-appliance-1.40.1.ebuild
new file mode 100644
index 00000000000..2e8d1b9eed9
--- /dev/null
+++ b/app-emulation/libguestfs-appliance/libguestfs-appliance-1.40.1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+CHECKREQS_DISK_USR=500M
+CHECKREQS_DISK_BUILD=500M
+
+inherit check-reqs
+
+DESCRIPTION="VM appliance disk image used in libguestfs package"
+HOMEPAGE="https://libguestfs.org/";
+SRC_URI="https://libguestfs.org/download/binaries/appliance/appliance-${PV}.tar.xz";
+S="${WORKDIR}"
+
+LICENSE="GPL-2 LGPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="app-arch/xz-utils"
+# Mixing libguestfs versions causes weird problems. #501588
+RDEPEND="!<app-emulation/libguestfs-${PV}"
+
+src_unpack() {
+       # We'll unpack the tarball directly into ${D} to speed up install.
+       # Otherwise we need to duplicate hundreds of data.
+       :
+}
+
+src_install() {
+       dodir /usr/share/guestfs
+       cd "${ED}"/usr/share/guestfs || Die
+       unpack ${A}
+
+       cd appliance || die
+       dodoc README*
+       # Don't rm README.* here, at least README.fixed is needed for 
libguestfs, see
+       # https://bugzilla.redhat.com/show_bug.cgi?id=1183780
+       chmod 755 . || die
+       chmod 644 * || die
+
+       newenvd "${FILESDIR}"/env.file 99${PN}
+}

Reply via email to